=== modified file 'data/top-rated.menu.in'
--- data/top-rated.menu.in	2011-07-26 11:48:28 +0000
+++ data/top-rated.menu.in	2011-07-26 12:37:19 +0000
@@ -8,7 +8,7 @@
       <Flag>not-installed-only</Flag>
     </Flags>
     <SCSortMode>4</SCSortMode>
-    <SCItemLimit>12</SCItemLimit>
+    <SCItemLimit>100</SCItemLimit>
     <Include>
       <And>
         <SCType>Application</SCType>

=== modified file 'softwarecenter/enums.py'
--- softwarecenter/enums.py	2011-07-22 16:21:10 +0000
+++ softwarecenter/enums.py	2011-07-26 12:37:19 +0000
@@ -192,6 +192,9 @@
 # delimiter for directory path separator in app-install
 APP_INSTALL_PATH_DELIMITER = "__"
 
+#carousel app limit to override limit in .menu file for category
+TOP_RATED_CAROUSEL_LIMIT = 12
+
 from version import VERSION, DISTRO, RELEASE, CODENAME
 USER_AGENT="Software Center/%s (N;) %s/%s (%s)" % (VERSION, 
                                                    DISTRO, 

=== modified file 'softwarecenter/ui/gtk/catview_gtk.py'
--- softwarecenter/ui/gtk/catview_gtk.py	2011-07-21 15:28:53 +0000
+++ softwarecenter/ui/gtk/catview_gtk.py	2011-07-26 12:37:19 +0000
@@ -12,7 +12,7 @@
 
 from softwarecenter.db.application import Application
 
-from softwarecenter.enums import SortMethods
+from softwarecenter.enums import SortMethods, TOP_RATED_CAROUSEL_LIMIT
 from softwarecenter.utils import wait_for_apt_cache_ready
 from softwarecenter.backend.zeitgeist_simple import zeitgeist_singleton
 from softwarecenter.drawing import color_floats, rounded_rect, rounded_rect2
@@ -396,7 +396,7 @@
                                      self.db, 
                                      self.icons,
                                      toprated_cat.query,
-                                     toprated_cat.item_limit,
+                                     TOP_RATED_CAROUSEL_LIMIT,  #to override .menu file 
                                      toprated_cat.sortmode,
                                      filter=self.apps_filter,
                                      icon_size=best_stock_size,

